import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { BidirectionalBar } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var BidirectionalBarChart = defineComponent({
  name: 'BidirectionalBarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": BidirectionalBar
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
BidirectionalBarChart.install = function (app) {
  app.component(BidirectionalBarChart.name, BidirectionalBarChart);
};
export default BidirectionalBarChart;