import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { CirclePacking } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var CirclePackingChart = defineComponent({
  name: 'CirclePackingChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": CirclePacking
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
CirclePackingChart.install = function (app) {
  app.component(CirclePackingChart.name, CirclePackingChart);
};
export default CirclePackingChart;