import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Liquid } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var LiquidChart = defineComponent({
  name: 'LiquidChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Liquid
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
LiquidChart.install = function (app) {
  app.component(LiquidChart.name, LiquidChart);
};
export default LiquidChart;