import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { Rose } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var RoseChart = defineComponent({
  name: 'RoseChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Rose
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
RoseChart.install = function (app) {
  app.component(RoseChart.name, RoseChart);
};
export default RoseChart;