import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { TinyColumn } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var TinyColumnChart = defineComponent({
  name: 'TinyColumnChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": TinyColumn
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
TinyColumnChart.install = function (app) {
  app.component(TinyColumnChart.name, TinyColumnChart);
};
export default TinyColumnChart;