import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent, h } from 'vue-demi';
import { Heatmap } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var HeatmapChart = defineComponent({
  name: 'HeatmapChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Heatmap
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
HeatmapChart.install = function (app) {
  app.component(HeatmapChart.name, HeatmapChart);
};
export default HeatmapChart;