"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectSpread2"));
var _isEmpty = _interopRequireDefault(require("lodash/isEmpty"));
var _isEqual = _interopRequireDefault(require("lodash/isEqual"));
var _vueDemi = require("vue-demi");
var _excluded = ["chart", "chartRef", "data", "class", "style", "onReady"];
var BaseChart = (0, _vueDemi.defineComponent)({
  inheritAttrs: false,
  name: 'BaseChart',
  computed: {
    attrConfig: function attrConfig() {
      return (0, _objectSpread2.default)({}, this.$attrs);
    },
    chartData: function chartData() {
      var data = this.attrConfig.data;
      return data || [];
    },
    chartConfig: function chartConfig() {
      var _this$attrConfig = this.attrConfig,
        chart = _this$attrConfig.chart,
        chartRef = _this$attrConfig.chartRef,
        data = _this$attrConfig.data,
        className = _this$attrConfig.class,
        style = _this$attrConfig.style,
        onReady = _this$attrConfig.onReady,
        config = (0, _objectWithoutProperties2.default)(_this$attrConfig, _excluded);
      return config;
    }
  },
  mounted: function mounted() {
    var chartRef = this.$attrs.chartRef;
    var _this$attrConfig2 = this.attrConfig,
      Chart = _this$attrConfig2.chart,
      onReady = _this$attrConfig2.onReady;
    var plot = new Chart(this.$el, (0, _objectSpread2.default)({
      data: this.chartData
    }, this.chartConfig));
    plot.render();
    if (chartRef) {
      chartRef.value = plot;
    }
    this.plot = plot;
    onReady === null || onReady === void 0 || onReady(plot);
  },
  beforeUnmount: function beforeUnmount() {
    /* istanbul ignore else */
    if (this.plot) {
      this.plot.destroy();
    }
  },
  watch: {
    chartData: function chartData(data, oldData) {
      /* istanbul ignore else */
      if (this.plot) {
        if ((0, _isEmpty.default)(oldData)) {
          this.plot.update((0, _objectSpread2.default)({
            data: data
          }, this.chartConfig));
          this.plot.render();
        } else {
          this.plot.changeData(data);
        }
      }
    },
    chartConfig: function chartConfig(config, oldConfig) {
      /* istanbul ignore else */
      if (this.plot) {
        if (!(0, _isEqual.default)(config, oldConfig)) {
          this.plot.update((0, _objectSpread2.default)({
            data: this.chartData
          }, config));
        }
      }
    }
  },
  render: function render() {
    return (0, _vue.createVNode)("div", {
      "class": this.attrConfig.class,
      "style": this.attrConfig.style
    }, null);
  }
});
var _default = exports.default = BaseChart;